﻿namespace ProjectSeaplane;
/// <summary>
/// Класс-сущность Гидросамолета
/// </summary>
public class EntitySeaplane
{
    /// <summary>
    /// Скорость
    /// </summary>
    public int Speed { get; private set; }
    /// <summary>
    /// Вес
    /// </summary>
    public double Weight { get; private set; }
    /// <summary>
    /// Основной цвет
    /// </summary>
    public Color BodyColor { get; private set; }
    /// <summary>
    /// Дополнительный (для опциональных частей)
    /// </summary>
    public Color AdditionalColor { get; private set; }
    /// <summary>
    /// Cложенно ли крыло (0 - нет, 1 - да)
    /// </summary>
    public bool WingsOpened { get; private set; }
    /// <summary>
    /// Тип двигателя, где 1 - винтовой и 0 - реактивный
    /// </summary>
    public bool ScrewEngine {  get; private set; }
    /// <summary>
    /// Расстояние шага передвижения
    /// </summary>
    public double Step => Speed * 100 / Weight;
    /// <summary>
    /// 
    /// </summary>
    /// <param name="speed">Скорость</param>
    /// <param name="weight">Вес</param>
    /// <param name="bodyColor">Основной цвет</param>
    /// <param name="additionalColor">Дополнительный цвет</param>
    /// <param name="wingsOpened">Сложенно ли крыло</param>
    /// <param name="screwEngine">Тип двигателя</param>
    public void Init(int speed, double weight, Color bodyColor, Color additionalColor, bool wingsOpened, bool screwEngine)
    {
        Speed = speed;
        Weight = weight;
        BodyColor = bodyColor;  
        AdditionalColor = additionalColor;
        WingsOpened = wingsOpened;
        ScrewEngine = screwEngine;
         
    }
}
